Summary:        LLVM to SPIRV Translator
Name:           spirv-llvm-translator
Version:        17.0.0
Release:        2%{?dist}
License:        NCSA
URL:            https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc gcc-c++ cmake ninja-build llvm-devel llvm-static
BuildRequires:  spirv-headers-devel spirv-tools-devel zlib-devel
ExcludeArch: loongarch64

%description
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package devel
Summary: Development files for LLVM to SPIRV Translator
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing against %{name}

%package tools
Summary: Standalone llvm to spirv translator tool
Requires: %{name} = %{version}-%{release}

%description tools
This package contains the standalone llvm to spirv tool.

%prep
%autosetup -n SPIRV-LLVM-Translator-%{version} -p1

%build
%cmake -GNinja \
       -DLLVM_BUILD_TOOLS=ON \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_RPATH:BOOL=";" \
       -DLLVM_DIR="/usr/lib64/cmake/llvm/" \
       -DLLVM_LIBDIR_SUFFIX=64 \
       -DLLVM_EXTERNAL_PROJECTS="SPIRV-Headers" \
       -DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR="/usr/include/spirv/"

%cmake_build

%install
%cmake_install

%files
%doc README.md
%{_libdir}/libLLVMSPIRVLib.so.*

%files tools
%{_bindir}/llvm-spirv

%files devel
%dir %{_includedir}/LLVMSPIRVLib/
%{_includedir}/LLVMSPIRVLib/
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc

%changelog
* Thu Jul 25 2024 Pengda Dou <doupengda@loongson.cn> - 17.0.0-2
- [Type] other
- [DESC] add loongarch64 to ExcludeArch

* Tue Dec 19 2023 Upgrade Robot <upbot@opencloudos.org> - 17.0.0-1
- Upgrade to version 17.0.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 16.0.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Sep 07 2023 kianli <kianli@tencent.com> - 16.0.0-1
- Initial build
